* A Spice model by J Green from Ice Amplifiers - From GE Datasheet 04-February-2009
* This model is provided for use at your own risk and without warrantee.
* See http://www.iceamplifiers.co.uk for details.
* This model has been created using the work of Norman Koren see 
* http://www.normankoren.com for details
* Provided this file remains unchanged it may be freely distributed.
* No charge should be made for the information contained herein.

.SUBCKT 6SL7  P G C MU= 77.93  EX=1.403  KG1=2079.4  KP=678.36 
+KVB=0.0  VCT=0.65 RGI=2000 CCG=2.4P CGP=1.5P CCP=0.28P 
B1 7 0 V=V(P,C) * log(0.1e1 + exp(KP * (0.1e1 / MU + (V(G,C) + VCT) * PWR(KVB + V(P,C) * V(P,C), -0.1e1 / 0.2e1)))) / KP;
RE1 7 0 1G
B2 P C I=(PWR(V(7),EX)+PWRS(V(7),EX))/KG1
RCP P C 1G    ; TO AVOID FLOATING NODES IN MU-FOLLOWER
C1 G C {CCG}  ; CATHODE-GRID
C2 G P {CGP}  ; GRID=PLATE
C3 P C {CCP}  ; CATHODE-PLATE
D3 5 C DX     ; FOR GRID CURRENT
R1 G 5 {RGI}  ; FOR GRID CURRENT
.MODEL DX D(IS=1N RS=1 CJO=10PF TT=1N)
.ENDS